petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecSwap

Swaps the vectors x and y.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSwap(Vec x,Vec y)

Logically Collective on Vec

### Input Parameters

x, y -the vectors

### Level

advanced

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex1f.F90.html
src/vec/vec/examples/tutorials/ex1f90.F90.html
src/vec/vec/examples/tutorials/ex20f90.F90.html

### Implementations

VecSwap_Nest in src/vec/vec/impls/nest/vecnest.c
VecSwap_Seq in src/vec/vec/impls/seq/bvec2.c
VecSwap_SeqCUDA in src/vec/vec/impls/seq/seqcuda/veccuda2.cu
VecSwap_SeqViennaCL in src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages